Get issue chat context
curl --request GET \
--url https://api.uselemma.ai/issues/{issue_id}/chat-context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/issues/{issue_id}/chat-context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/issues/{issue_id}/chat-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issue": {
"id": "<string>",
"project_id": "<string>",
"agent_name": "<string>",
"name": "<string>",
"locus": "<string>",
"fault": "<string>",
"param": "<string>",
"status": "open",
"regressed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"assignee_user_id": "<string>",
"confirmed_by": "<string>",
"confirmed_at": "2023-11-07T05:31:56Z",
"confirmation_verdict": "agreed_with_validation",
"flagged": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"notifiable": true,
"needs_review": true,
"introduced_in_release": "<string>",
"last_seen_in_release": "<string>",
"insight": {
"id": "<string>",
"title": "<string>"
}
},
"occurrences": [
{
"id": "<string>",
"trace_id": "<string>",
"issue_id": "<string>",
"title": "<string>",
"rationale": "<string>",
"source_span_ids": [
"<string>"
],
"evidence_span_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"trace": {
"id": "<string>",
"otel_trace_id": "<string>",
"project_id": "<string>",
"service_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"thread_id": "<string>",
"release": "<string>"
},
"citations": "<unknown>",
"release": "<string>"
}
],
"traces": [
{
"trace": {
"id": "<string>",
"project_id": "<string>",
"service_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"otel_trace_id": "<string>",
"ready": true
},
"stats": {
"span_count": 123,
"total_duration_ms": 123,
"error_count": 123,
"agent_name": "<string>",
"thread_id": "<string>",
"agent_input_display": "<string>",
"tool_calls": [
{
"span_id": "<string>",
"name": "<string>",
"duration_ms": 123,
"is_error": true,
"user_facing_message": "<string>",
"user_facing_message_truncated": true,
"user_facing_messages_omitted": 123
}
],
"input_tokens": 123,
"output_tokens": 123,
"estimated_cost_usd": 123,
"agent_input": null,
"agent_output": null,
"release": "<string>"
},
"spans": [
{
"id": "<string>",
"otel_span_id": "<string>",
"parent_otel_span_id": "<string>",
"name": "<string>",
"kind": "<string>",
"start_time_ns": "<string>",
"end_time_ns": "<string>",
"duration_ms": 123,
"status_code": "<string>",
"status_description": "<string>",
"input_tokens": 123,
"output_tokens": 123,
"model_name": "<string>",
"tps": 123,
"attributes": {},
"events": "<unknown>"
}
]
}
],
"stats": {
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 123,
"trace_count": 123,
"introduced_in_release": "<string>",
"last_seen_in_release": "<string>"
}
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}Issues
Get issue chat context
Returns the issue, recent occurrences, aggregate stats, and per-trace bundles (trace row, stats, and spans) for issue chat.
GET
/
issues
/
{issue_id}
/
chat-context
Get issue chat context
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Issue ID.
Query Parameters
Project ID.